Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionSecurityTokenResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionSecurityTokenResponse`, `ClientWireProtocol.ClientConnectionSecurityTokenResponse.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ClientConnectionSecurityTokenResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullyQualifiedUsername()`
The fully qualified username used for the connection
`com.google.protobuf.ByteString`
`getFullyQualifiedUsernameBytes()`
The fully qualified username used for the connection
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to connect elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 3;`
`com.google.protobuf.ByteString`
`getRedirectHostBytes()`
`string redirectHost = 3;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SecondaryInterfaceList`
`getSecondary(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`int`
`getSecondaryCount()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList>`
`getSecondaryList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder`
`getSecondaryOrBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder>`
`getSecondaryOrBuilderList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`String`
`getServerSessionId()`
Different from 'sessionID' which belongs to the client.
`com.google.protobuf.ByteString`
`getServerSessionIdBytes()`
Different from 'sessionID' which belongs to the client.
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getRedirect

boolean getRedirect()

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Returns:
  The redirect.

### getRedirectHost

String getRedirectHost()
`string redirectHost = 3;`

Returns:
  The redirectHost.

### getRedirectHostBytes

com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 3;`

Returns:
  The bytes for redirectHost.

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 4;`

Returns:
  The redirectPort.

### getSecondaryList

List<ClientWireProtocol.SecondaryInterfaceList> getSecondaryList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondary

ClientWireProtocol.SecondaryInterfaceList getSecondary(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryCount

int getSecondaryCount()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryOrBuilderList

List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder> getSecondaryOrBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryOrBuilder

ClientWireProtocol.SecondaryInterfaceListOrBuilder getSecondaryOrBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getServerSessionId

String getServerSessionId()

     Different from 'sessionID' which belongs to the client.

`string serverSessionId = 7;`

Returns:
  The serverSessionId.

### getServerSessionIdBytes

com.google.protobuf.ByteString getServerSessionIdBytes()

     Different from 'sessionID' which belongs to the client.

`string serverSessionId = 7;`

Returns:
  The bytes for serverSessionId.

### getFullyQualifiedUsername

String getFullyQualifiedUsername()

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 8;`

Returns:
  The fullyQualifiedUsername.

### getFullyQualifiedUsernameBytes

com.google.protobuf.ByteString getFullyQualifiedUsernameBytes()

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 8;`

Returns:
  The bytes for fullyQualifiedUsername.